<!doctype html>

<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>OpCit Interface</title>
  <meta name="description" content="Import a prefix">
  <meta name="author" content="crossref">

  <meta property="og:title" content="OpCit Interface">
  <meta property="og:type" content="website">
  <meta property="og:url" content="https://opcit.labs.crossref.org/">
  <meta property="og:description" content="Import a prefix">

  <link rel="stylesheet" href="https://chooser.crossref.org/static/style.css?v=1.0">


</head>

<body>

  <div class="page-header">

    <h1>Preserve all DOIs under a prefix</h1>
  </div>
  <hr>
  <div class="page-explanation">
    <div class="extra" style="margin-top: 2em;">
        <span style="color: red">{{ form_errors }}</span>
        <p>This form allows you to digitally preserve material in the Internet Archive and to activate monitoring for all your DOIs.</p>
        <ol>
            <li>You need to <a href="mailto:labs@crossref.org?subject='Op Cit Opt In'">email Crossref Labs</a> your prefix, asking to be opted in to the system.</li>
            <li>You need your DOI already to have been registered and to be processed in the REST API. Works can take up to 24 hours to appear in the API.</li>
            <li>Fill out the form below. Please note that your username and email will be stored in a publicly available location as having authorised this.</li>
        </ol>
        <form method="POST">
            {%csrf_token%}
            <div class="row">
                <div class="column"><label for="doi">Prefix:</label></div>
                <div class="column"><input style="width:25%;" type="text" name="prefix" id="prefix" value="{{ prefix }}"></div>
            </div>

            <div class="row">
                <div class="column"><label for="username">Crossref username:</label></div>
                <div class="column"><input style="width:25%;" type="text" name="username" id="username" value="{{ username }}"></div>
            </div>

            <div class="row">
                <div class="column"><label for="password">Crossref password:</label></div>
                <div class="column"><input style="width:25%;" type="password" name="password" id="password" value="{{ password }}"></div>
            </div>

            <div class="row">
                <div class="column"><label for="password">Notify email:</label></div>
                <div class="column"><input style="width:25%;" type="email" name="email" id="email" value="{{ email }}"> <input type="submit" value="Submit"></div>
            </div>
        </form>
    </div>
  </div>

  <br />

  <div class="resource-container">
      {% if message %}<p>{{ message }}</p>{% endif %}

  </div>


  <hr>

  <footer>
    <div class="tandc row">
      <div class="column">
        Logos provided by <a href="https://clearbit.com">Clearbit</a>
      </div>
      <div class="column">
        <a href="https://www.crossref.org/operations-and-sustainability/privacy/">Crossref Privacy Policy</a>
      </div>
    </div>
    <div class="provided-by row">
        <img src="https://assets.crossref.org/logo/crossref-logo-landscape-200.svg" width="200" height="68" alt="Crossref logo">
    </div>
  </footer>

</body>

</html>